/* Reset */

*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

body{
    font-family:'Poppins',sans-serif;
    background:#fff;
}

img{
    display:block;
    max-width:100%;
}

a{
    text-decoration:none;
}

ul{
    list-style:none;
}

/* Header */

.header{
    position:sticky;
    top:0;
    z-index:1000;

    background:#fff;

    display:flex;
    align-items:center;
    justify-content:space-between;

    padding:18px 8%;
}

.logo img{
    height:65px;
}

.navbar{
    display:flex;
    align-items:center;
    gap:30px;
}

.navbar a{
    text-decoration:none;
    color:#1b1b1b;
    font-size:18px;
    font-weight:500;
}
.menu-toggle{
    display:none;
    font-size:28px;
    color:#0D2D74;
    cursor:pointer;
    z-index:1001;
}

/* Emergency Button */

.emergency-btn{

    display:flex;
    align-items:center;
    gap:10px;

    color:#fff;

    background:linear-gradient(90deg,#0a53d5,#16c47f);

    padding:14px 24px;

    border-radius:8px;

    font-weight:600;
}

.emergency-btn i{

    width:34px;
    height:34px;

    background:#fff;

    color:#0a53d5;

    border-radius:50%;

    display:flex;
    justify-content:center;
    align-items:center;
}





/* ===================================
   HERO SLIDER
=================================== */

.hero{
    position: relative;
    width: 100%;
    height: 480px;
    overflow: hidden;
}

.slide{
    position:absolute;
    top:0;
    left:0;
    width:100%;
    height:100%;

    opacity:0;
    transition:opacity 1s ease-in-out;
}

.slide.active{
    opacity:1;
    z-index:2;
}

.slide img{
    width:100%;
    height:100%;
    object-fit:cover;
    object-position:center;
    display:block;
}
/* Text */

.hero-content{

    position:absolute;

    left:90px;
    top:50%;

    transform:translateY(-50%);

    width:60%;

    z-index:5;
}

.hero-content h1{

    margin:0 0 25px;

    line-height:0.9;
}

.line1{

    display:block;

    font-size:72px;

    font-weight:500;

    color:#0D2D74;
}

.line2{

    display:block;

    font-size:72px;

    font-weight:500;

    background:linear-gradient(90deg,#1F67EA,#18C67D);

    -webkit-background-clip:text;
    -webkit-text-fill-color:transparent;
}

.hero-content p{

    width:520px;

    font-size:20px;

    line-height:1.7;

    color:#333;

    margin-bottom:40px;
}

.hero-btn{

    display:inline-block;

    background:linear-gradient(90deg,#1E63E9,#19C37D);

    color:#fff;

    padding:16px 34px;

    border-radius:50px;

    font-size:17px;
    font-weight:600;

    transition:.3s;
}

.hero-btn:hover{

    transform:translateY(-3px);

    box-shadow:0 12px 30px rgba(0,0,0,.25);
}
.call-btn{
    display:inline-flex;
    align-items:center;
    gap:10px;

    padding:10px 18px;

    background:#fff;

    color:#1F67EA;

    border:1px solid #d8d8d8;
    border-radius:50px;

    font-size:16px;
    font-weight:500;

    text-decoration:none;

    transition:.3s;
}

.call-btn i{
    width:30px;
    height:30px;

    display:flex;
    justify-content:center;
    align-items:center;

    border:1px solid #d8d8d8;
    border-radius:50%;

    color:#1F67EA;

    font-size:12px;
}



/*==================================
    OUR SERVICES
==================================*/

.services{
    padding:70px 13%;
    margin-top:-50px;
    background:#fff;
}

.service-grid{
    display:grid;
    grid-template-columns:repeat(6,1fr);
    gap:6px;
}

.service-card{
    background:#fff;
    border:0.1px solid #e9e9e9;
    border-radius:18px;

    padding:20px 10px;
    min-height:240px;

    display:flex;
    flex-direction:column;
    justify-content:center;
    align-items:center;

    text-align:center;

    transition:all .35s ease;

    box-shadow:0 5px 20px rgba(0,0,0,.05);
}

.service-card:hover{
    transform:translateY(-10px);
    box-shadow:0 20px 40px rgba(0,0,0,.12);
    border-color:#1F67EA;
}

.service-card:hover img{
    transform:scale(1.12);
}
.service-card img{
    width:72px;
    height:72px;
    object-fit:contain;
    margin-bottom:22px;

    transition:transform .35s ease;
}

.service-card h3{
    margin:0 0 10px;
    font-size:20px;
    font-weight:000;
    color:#00000;
}

.service-card p{
    margin:0;
    font-size:15px;
    color:#666;
    line-height:1.4;
}
.service-card p{
    font-size:14px;
    color:#666;
    line-height:1.4;
}

.camp-flow{
    padding:80px 0;
    background:#fff;
}

.flow-title{
    text-align:center;
    font-size:46px;
    font-weight:700;
    color:#0D2D74;
    margin-bottom:50px;
}

.flow-wrapper{
    width:100%;
    overflow-x:auto;
    overflow-y:hidden;
    cursor:grab;

    scrollbar-width:none;
    -ms-overflow-style:none;
}

.flow-wrapper::-webkit-scrollbar{
    display:none;
}

.flow-content{
    width:max-content;
    padding:0 120px;   /* space left & right */
}

.flow-content img{
    display:block;
    width:2200px;      /* adjust if needed */
    height:auto;
    max-width:none;
}
@media (max-width:768px){

    .header{
        padding:12px 20px;
        position:relative;
        display:flex;
        align-items:center;
        justify-content:space-between;
    }

    .logo img{
        height:45px;
    }

    .emergency-btn{
        display:none;
    }

    .menu-toggle{
        display:flex;
        align-items:center;
        justify-content:center;
    }

    .navbar{
        display:none;
        position:absolute;
        top:100%;
        left:0;
        width:100%;
        flex-direction:column;
        background:#fff;
        box-shadow:0 10px 25px rgba(0,0,0,.08);
    }

    .navbar.active{
        display:flex;
    }

    .navbar a{
        width:100%;
        padding:16px 20px;
        border-bottom:1px solid #eee;
    }
}
/* Responsive */

@media (max-width:768px){

    .hero{
        height:150px;
    }

    .hero-content{
        left:20px;
        right:20px;
        width:auto;
    }

    .line1,
    .line2{
        font-size:11px;
        line-height:1.1;
    }

    .hero-content p{
        width:100%;
        font-size:4px;
        line-height:1.5;
        margin-bottom:20px;
    }

    .call-btn{
        padding:10px 18px;
        font-size:14px;
    }

}

@media (max-width:768px){

.service-grid{
    display:grid;
    grid-template-columns:repeat(2,1fr);
    gap:15px;
}

.service-card{
    min-height:180px;
}

}@media (max-width:768px){

.services{
    padding:35px 18px;
}

.service-grid{
    display:grid;
    grid-template-columns:repeat(2,1fr);
    gap:14px;
}

.service-card{
    padding:22px 12px;
    min-height:165px;
    border-radius:18px;
}

.service-card img{
    width:55px;
    height:55px;
    margin-bottom:15px;
}

.service-card h3{
    font-size:18px;
    line-height:1.2;
}

.service-card p{
    font-size:13px;
    margin-top:8px;
}

}
